Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.jetty
[Java] Class AbstractJettyRunTask

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.plugins.jetty.AbstractJettyRunTask

    public abstract class AbstractJettyRunTask
    extends ConventionTask

Base class for all tasks which deploy a web application to an embedded Jetty web container.

Field Summary
`static java.lang.String` | `PORT_SYSPROPERTY`
`protected java.lang.Thread` | `consoleScanner` A scanner to check ENTER hits on the console.
`protected java.lang.String` | `reload` reload can be set to either 'automatic' or 'manual' if 'manual' then the context can be reloaded by a linefeed in the console if 'automatic' then traditional reloading on changed files is enabled.
`protected java.util.ArrayList` | `scannerListeners` List of Listeners for the scanner.

Method Summary
`void` | `applyJettyXml()`
`void` | `configureScanner()`
`void` | `configureWebApplication()` Subclasses should invoke this to setup basic info on the webapp.
`JettyPluginServer` | `createServer()` create a proxy that wraps a particular jetty version Server object.
`java.io.File` | `findJettyWebXmlFile(java.io.File webInfDir)` Try and find a jetty-web.xml file, using some historical naming conventions if necessary.
`void` | `finishConfigurationBeforeStart()`
`java.lang.Iterable` | `getAdditionalRuntimeJars()` Returns the classpath to make available to the web application.
`Connector[]` | `getConnectors()`
`java.lang.String` | `getContextPath()` Returns the context path to use to deploy the web application.
`java.lang.Integer` | `getHttpPort()` Returns the TCP port for Jetty to listen on for incoming HTTP requests.
`java.io.File` | `getJettyConfig()` Returns the jetty configuration file to use.
`java.io.File` | `getOverrideWebXml()`
`java.lang.String` | `getReload()`
`RequestLog` | `getRequestLog()`
`int` | `getScanIntervalSeconds()`
`java.util.Scanner` | `getScanner()`
`java.util.ArrayList` | `getScannerListeners()`
`JettyPluginServer` | `getServer()`
`java.lang.String` | `getStopKey()` Returns the key to use to stop Jetty.
`java.lang.Integer` | `getStopPort()` Returns the TCP port for Jetty to listen on for stop requests.
`UserRealm[]` | `getUserRealms()`
`JettyPluginWebAppContext` | `getWebAppConfig()`
`java.io.File` | `getWebDefaultXml()`
`boolean` | `isDaemon()` Specifies whether the Jetty server should run in the background.
`void` | `restartWebApp(boolean reconfigureScanner)`
`void` | `setAdditionalRuntimeJars(java.lang.Iterable additionalRuntimeJars)`
`void` | `setConnectors(Connector[] connectors)`
`void` | `setContextPath(java.lang.String contextPath)`
`void` | `setDaemon(boolean daemon)`
`void` | `setHttpPort(java.lang.Integer httpPort)`
`void` | `setJettyConfig(java.io.File jettyConfig)`
`void` | `setOverrideWebXml(java.io.File overrideWebXml)`
`void` | `setReload(java.lang.String reload)`
`void` | `setRequestLog(RequestLog requestLog)`
`void` | `setScanIntervalSeconds(int scanIntervalSeconds)`
`void` | `setScannerListeners(java.util.ArrayList listeners)`
`void` | `setServer(JettyPluginServer server)`
`void` | `setStopKey(java.lang.String stopKey)`
`void` | `setStopPort(java.lang.Integer stopPort)`
`void` | `setUserRealms(UserRealm[] userRealms)`
`void` | `setWebAppConfig(JettyPluginWebAppContext webAppConfig)`
`void` | `setWebDefaultXml(java.io.File webDefaultXml)`
`protected void` | `start()`
`protected void` | `startConsoleScanner()` Run a thread that monitors the console input to detect ENTER hits.
`void` | `startJetty()`
`void` | `startJettyInternal()`
`void` | `validateConfiguration()`

Field Detail

### PORT_SYSPROPERTY

    public static final java.lang.String PORT_SYSPROPERTY

### consoleScanner

    protected java.lang.Thread consoleScanner

  A scanner to check ENTER hits on the console.

### reload

    protected java.lang.String reload

  reload can be set to either 'automatic' or 'manual'

  if 'manual' then the context can be reloaded by a linefeed in the console if 'automatic' then traditional reloading on changed files is enabled.

### scannerListeners

    protected java.util.ArrayList scannerListeners

  List of Listeners for the scanner.

Method Detail

### applyJettyXml

    public void applyJettyXml()

### configureScanner

    public void configureScanner()

### configureWebApplication

    public void configureWebApplication()

  Subclasses should invoke this to setup basic info on the webapp.

### createServer

    public JettyPluginServer createServer()

  create a proxy that wraps a particular jetty version Server object.
  Returns:
    The Jetty Plugin Server

### findJettyWebXmlFile

    public java.io.File findJettyWebXmlFile(java.io.File webInfDir)

  Try and find a jetty-web.xml file, using some historical naming conventions if necessary.
  Returns:
    File object to the location of the jetty-web.xml

### finishConfigurationBeforeStart

    public void finishConfigurationBeforeStart()

### getAdditionalRuntimeJars

    @InputFiles
    public java.lang.Iterable getAdditionalRuntimeJars()

  Returns the classpath to make available to the web application.

### getConnectors

    public Connector[] getConnectors()

### getContextPath

    public java.lang.String getContextPath()

  Returns the context path to use to deploy the web application.

### getHttpPort

    public java.lang.Integer getHttpPort()

  Returns the TCP port for Jetty to listen on for incoming HTTP requests.

### getJettyConfig

    @InputFile
    @Optional
    public java.io.File getJettyConfig()

  Returns the jetty configuration file to use. When `null`, no configuration file is used.

### getOverrideWebXml

    @InputFile
    @Optional
    public java.io.File getOverrideWebXml()

### getReload

    public java.lang.String getReload()

### getRequestLog

    public RequestLog getRequestLog()

### getScanIntervalSeconds

    public int getScanIntervalSeconds()

### getScanner

    public java.util.Scanner getScanner()

### getScannerListeners

    public java.util.ArrayList getScannerListeners()

### getServer

    public JettyPluginServer getServer()

### getStopKey

    public java.lang.String getStopKey()

  Returns the key to use to stop Jetty.

### getStopPort

    public java.lang.Integer getStopPort()

  Returns the TCP port for Jetty to listen on for stop requests.

### getUserRealms

    public UserRealm[] getUserRealms()

### getWebAppConfig

    public JettyPluginWebAppContext getWebAppConfig()

### getWebDefaultXml

    @InputFile
    @Optional
    public java.io.File getWebDefaultXml()

### isDaemon

    public boolean isDaemon()

  Specifies whether the Jetty server should run in the background. When `true`, this task completes as soon as the server has started. When `false`, this task blocks until the Jetty server is stopped.

### restartWebApp

    public void restartWebApp(boolean reconfigureScanner)

### setAdditionalRuntimeJars

    public void setAdditionalRuntimeJars(java.lang.Iterable additionalRuntimeJars)

### setConnectors

    public void setConnectors(Connector[] connectors)

### setContextPath

    public void setContextPath(java.lang.String contextPath)

### setDaemon

    public void setDaemon(boolean daemon)

### setHttpPort

    public void setHttpPort(java.lang.Integer httpPort)

### setJettyConfig

    public void setJettyConfig(java.io.File jettyConfig)

### setOverrideWebXml

    public void setOverrideWebXml(java.io.File overrideWebXml)

### setReload

    public void setReload(java.lang.String reload)

### setRequestLog

    public void setRequestLog(RequestLog requestLog)

### setScanIntervalSeconds

    public void setScanIntervalSeconds(int scanIntervalSeconds)

### setScannerListeners

    public void setScannerListeners(java.util.ArrayList listeners)

### setServer

    public void setServer(JettyPluginServer server)

### setStopKey

    public void setStopKey(java.lang.String stopKey)

### setStopPort

    public void setStopPort(java.lang.Integer stopPort)

### setUserRealms

    public void setUserRealms(UserRealm[] userRealms)

### setWebAppConfig

    public void setWebAppConfig(JettyPluginWebAppContext webAppConfig)

### setWebDefaultXml

    public void setWebDefaultXml(java.io.File webDefaultXml)

### start

    @TaskAction
    protected void start()

### startConsoleScanner

    protected void startConsoleScanner()

  Run a thread that monitors the console input to detect ENTER hits.

### startJetty

    public void startJetty()

### startJettyInternal

    public void startJettyInternal()

### validateConfiguration

    public void validateConfiguration()

Groovy Documentation